<script>
	import Container from "@/components/container.svelte"
	import Button from "@/components/button.svelte"
	import SVG from "@/components/svg.svelte"

	import { page } from "$app/stores"
	import { t, l } from "@/i18n"
</script>

<template lang="pug">
	.head-row: Container
		h1 {$page.status}
		p.message {$page.status === 404 ? $t("default.404") : $page.error.message}
		.button-wrap.is-flex.is-align-items-center.is-justify-content-center
			Button( is="a" href!='{$l("")}' )
				|{$t("default.nav.main")}
				span.icon( slot="icon-right" ): SVG( folder="icons" name="arrow-right" )
</template>

<style lang="scss">
	.head-row {
		background: radial-gradient(67.11% 745.66% at 67.11% 61.98%, #333232 0%, #000000 100%);
		:global(.section) {
			padding-top: 4.5rem;
			padding-bottom: 7.5rem;
		}
	}

	h1 {
		font-size: 4rem;
		line-height: 4rem;
		font-weight: 500;
		text-align: center;
		color: $white;
		margin-bottom: 2rem;
	}

	p.message {
		font-size: 1.125rem;
		font-weight: 300;
		text-align: center;
		color: $white;
		margin-bottom: 2rem;
	}
</style>